Get Users - Cognigy Documentation

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

GET

/management/v2.0/users

Try it

Get Users

cURL

curl --request GET \
  --url https://api-trial.cognigy.ai/new/management/v2.0/users \
  --header 'Authorization: Basic <encoded-value>'

Python

import requests

url = "https://api-trial.cognigy.ai/new/management/v2.0/users"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript

const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api-trial.cognigy.ai/new/management/v2.0/users', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

<?php

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/management/v2.0/users",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "GET",\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Basic <encoded-value>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "net/http"
    "io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/management/v2.0/users"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Basic <encoded-value>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Response Codes

Sample Response

{
  "items": [\
    {\
      "id": "<string>",\
      "name": "<string>",\
      "cxoneEmail": "<string>",\
      "cxoneId": "<string>",\
      "_id": "<string>",\
      "createdAt": 1694518620,\
      "lastChanged": 1694518620,\
      "createdBy": "<string>",\
      "lastChangedBy": "<string>"\
    }\
  ],
  "total": 1,
  "nextCursor": "<string>",
  "previousCursor": "<string>"
}

Error Responses

Authorizations

Authorization
string
header
required
Basic Authentication used by routes designed for the Management-UI.

Headers

Accept
enum
The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.

Available options:

Query Parameters

Minimum string length: 1

Response Fields